*urgent* deco m9 (different hardware versions) firmware and ethernet backhaul questions

This thread has been locked for further replies. You can start a new thread to share your ideas or ask questions.
This thread has been locked for further replies. You can start a new thread to share your ideas or ask questions.
*urgent* deco m9 (different hardware versions) firmware and ethernet backhaul questions
*urgent* deco m9 (different hardware versions) firmware and ethernet backhaul questions
2021-03-21 14:30:28
Hardware Version: V2
Firmware Version: 1.2.10 and 1.5.10

I have 4 deco m9 plus and bought another m9 recently. 2 of them has v1 and the other 2 and the new coming is v2 hardware.  So, 2 v1 and 3 v2 decos.

Thus, i have 2 different firmware versions in my app which are 1.2.10 and 1.5.0 :) (attached image)

My main deco is v2 with 1.2.10 firmware version.

I have the following questions:

 

1. In order for me to upgrade all of my v2 decos to 1.5.0.  what will be the steps to follow?

2. I also want to establish an ethernet backhaul with all of my 5 decos, only 1 will be without ethernet connection and will use wifi backhaul.  What will be the proper way in order to do that, first firmware update and then ethernet backhaul or vice versa?

 

My plan is; first make an firmware update to 3 of my v2 decos but after checking the forum, i guess we can make this only for the main deco if its v2 or am i wrong?

 

In brief, i need a walkthrough with detailed steps.  Your help will be highly appreciated.

 

 

 

0
0
#1
Options
2 Reply
Re:*urgent* deco m9 (different hardware versions) firmware and ethernet backhaul questions
2021-03-24 21:53:22

@nameless 

 

1. You need to use the upgrade utility for your V2 units to get them past 1.2.x: https://www.tp-link.com/support/download/deco-m9-plus/v2/#Utility

 

Download the latest firmware release, then use the utility to upload the .bin file. You get the .bin file by extracting the downloaded firmware. If you try to upload the latest firmware, and that does not work, try downloading the oldest firmware release for the V2 first, after you should be able to update to the latest on the app.

 

If you are having issues with the utility, you can reference this article: https://www.tp-link.com/us/support/faq/2930/

 

I would have only the V2 units up and running when doing this update. Once the V2 units are upgraded, power on the V1 units.

 

2. Do the firmware upgrade first.

0
0
#2
Options
Re:*urgent* deco m9 (different hardware versions) firmware and ethernet backhaul questions
2021-03-27 19:08:43

@Tony 

 

I  have used your guideline about updating the firmware first. But there is still a problem i guess.  I upgraded my 3 v2 decos to version 1.4 first by using the utility because updating to 1.5.0 did not work as you have also said upgrading to the previous version first.  While doing this i unpluged my 2 v1 decos in the network and they were offline.  Then, i upgraded to 1.5.10 from the app these 3 v2 decos.  Later, i plugged my other 2 v1 decos and checked all my network reached to 1.5.0 firmware.  After this happened, i tried to upgrade to the latest 1.5.1 firmware from the app.  And the result is my main deco was not upgraded and the other 4 decos were updated.  And now, while i am checking the "update deco" in the app.  It says your home system is currently up-to-date as you can see from the below picture and there is no option to upgrade my main deco to 1.5.1 ?!?

Even my main deco is not upgraded it says your network is up to date??  Hao can i solve this problem?

 

0
0
#3
Options